<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GpuSharedParameters.html">GpuSharedParameters</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GpuSharedParameters Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a751ee544894656f54520f412658ddabb">_getRenderSystemData</a>() const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa53d15b0327750087e989b29b1d64946">_markDirty</a>()</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a1b843357d12b51eed174e33cd33cff6c">_setRenderSystemData</a>(const Any &amp;data) const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab76a3c158f6e5386831b2e6dcce3478f">addConstantDefinition</a>(const String &amp;name, GpuConstantType constType, size_t arraySize=1)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa7aa5d0358c5f651a313178654bc8a0c">getConstantDefinition</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#abfdc261fa27bfc478b182075c7663051">getConstantDefinitionIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a86e35dd2892e2e1726d44f653a726e44">getConstantDefinitions</a>() const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab20c2b00ad00db39d0fa7a77e8f2a9e1">getFloatPointer</a>(size_t pos)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a55411651a3687b1a12d7e7f73a265b49">getFloatPointer</a>(size_t pos) const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ae7520af27097b238f964f221aee7ef42">getFrameLastUpdated</a>() const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a595714fc035ae70cce7921f1e5c660dd">getIntPointer</a>(size_t pos)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab9aa0ab7c22760baa32e55f5ec3f95c2">getIntPointer</a>(size_t pos) const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a88f9ebfeb6334f40c51fa52ebb0a7108">getName</a>()</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#aacbfae3d67623c421dca9367c3fc03f6">getVersion</a>() const </td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a0d0b2668f52743cc1e949cedb97abefc">GpuSharedParameters</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a510028acc4c823fbe7c8397939bef87a">mFloatConstants</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a3deb79943262d127bcf12803a6f69fa3">mFrameLastUpdated</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a3fcb26e0fc6664618c47dc92a98fef77">mIntConstants</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#abccf7c5e7a2702a882dd35c1d918e11d">mName</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ae0cd5d95c8643d306350446e54161b33">mNamedConstants</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac33a1826531ee727e734d152f8152bc0">mRenderSystemData</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa3a4b6b228183e7d3db358cecb784ed4">mVersion</a></td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a7af37940ab818c310227918e61fe1134">removeAllConstantDefinitions</a>()</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#adaffa8b7ce948ab8474b7745ce29504f">removeConstantDefinition</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab74ba6dc445146e3207a3b3910f43ef6">setNamedConstant</a>(const String &amp;name, Real val)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ad879a04f00ecc9196d19cd9ff38f66f2">setNamedConstant</a>(const String &amp;name, int val)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a6f0dd794c7a3618f59e4a86bd8ee03d5">setNamedConstant</a>(const String &amp;name, const Vector4 &amp;vec)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ab36766c25247163e7f57d515dbec44f3">setNamedConstant</a>(const String &amp;name, const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac912b1953576dd4b34e1019019952738">setNamedConstant</a>(const String &amp;name, const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a6be98a104e13cbd4c9c550ee88cac6de">setNamedConstant</a>(const String &amp;name, const Matrix4 *m, size_t numEntries)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#ac60bc2d912c0610ff23d03fc53341d0c">setNamedConstant</a>(const String &amp;name, const float *val, size_t count)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a1d338e448331ece06b476fa1dec4be2a">setNamedConstant</a>(const String &amp;name, const double *val, size_t count)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#af0f9f6c486e5cf67d966f996e99272b5">setNamedConstant</a>(const String &amp;name, const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#aa738d63d8a5fdbe3095a73d1824e4497">setNamedConstant</a>(const String &amp;name, const int *val, size_t count)</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuSharedParameters.html#a09b0026f12f8bd997f88c7627991a56d">~GpuSharedParameters</a>()</td><td><a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
